
## [SD 统计封装](https://www.npmjs.com/package/sd-track-core)
[详见Git](git@gitee.com:vsona/sd-track-demo.git)

### 安装使用
```bash
npm i sd-track-core@0.1.0 --save
```
### Demo
#### 创建
```javascript
import {Tracker} from 'sd-track-core'

const tracker = new Tracker({
  showLog: true,
  commonParams: () => {
    return {
      biz: 'SDH',
      platform: '****',
    }
  },
  commonControlArg: {},
  // handleTrack: (trackData, controlArg) => {
  //   console.warn('统计怎么发可以重写，handleTrack: (trackData, controlArg) => {}')
  // }
})

export default tracker
```

#### 调用
```javascript
tracker.track({
  elementCode: 12345,
  extInfo: {
    id: 22,
    name: 'extName'
  }
})
```

### 扩展  


### 更新日志
#### v0.1.0
修改api
#### v0.0.9
fix bug
```
Possible Unhandled Promise Rejection: TypeError: Cannot read property 'then' of undefined
```
#### v0.0.6
增加commonControlArg
